CURLOPT_TCP_FASTOPEN(3)

NAME
CURLOPT_TCP_FASTOPEN - enable TCP Fast Open

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TCP_FASTOPEN, long enable);

DESCRIPTION
Pass a long as parameter set to 1 to enable or 0 to disable. TCP Fast Open (RFC7413) is a mechanism that allows data to be carried in the SYN and SYN-ACK packets and consumed by the receiving end during the initial connection handshake, saving up to one full round-trip time (RTT).

DEFAULT
0

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.49.0. This option is currently only supported on Linux and OS X El Capitan.

RETURN VALUE
Returns CURLE_OK if fast open is supported by the operating system, otherwise returns CURLE_NOT_BUILT_IN.